#ifndef _TIM_H
#define _TIM_H

/*KEYS ASSIGNMENT*/
#define	ON_OFF_KEY	(1<<21) 		//P0.21,PIN 1
#define	activate_unit (1<<22)	//P0.22,PIN 2
#define	OFF_MODE	1
#define	ON_MODE		0

#define UP_BUTTON 	 (1<<16)//P1.16,PIN 16
#define DN_BUTTON 	 (1<<20)//PIN 48 (1<<17)//P1.17,PIN 12
#define START_BUTTON (1<<25)//PIN 28(1<<18)//P1.18,PIN 8		
/*KEYS ASSIGNMENT*/

#define	DEBUG_VERSION			0
#define	DEBUG1_VERSION		1 
#define	DELAY_COUNT	     0x020  //0x050

/*DEFINING STATE*/
#define	INIT_STATE						0
#define	RECOVER_STATE					1	
#define	SLEEP_EASY_DURATION_STATE	 	2												
#define	SLEEP_DURATION_STATE			3		
#define	DELTA_SLEEP_DURATION_STATE		4											
#define	DELTA_SLEEP_2_DURATION_STATE    5											
#define	TED_1HZ_STATE					6
#define	MANUAL_STATE			 	 	7																		 
#define	ENTRAIN_UP_STATE				8																			   
#define	ENTRAIN_DOWN_STATE				9																				  	
#define	MODE_ALERT_STATE				10

#define	MAX_CURRENT_SELECTION		10

#define	RECOVER_THERAPY_STATE	 16
#define	SLEEP_EASY_THERAPY_STATE		17
#define	SLEEP_THERAPY_STATE				18 
#define	DELTA_SLEEP_THERAPY_STATE		19
#define	DELTA_SLEEP_2_THERAPY_STATE		20
#define	TED_1HZ_THERAPY_STATE			21
#define	MANUAL_THERAPY_STATE			22
#define	ENTRAIN_UP_THERAPY_STATE		23
#define	ENTRAIN_DOWN_THERAPY_STATE		24
#define	MODE_ALERT_THERAPY_STATE		25

#define	SLEEP_THERAPY				0
#define	RECOVER_THERAPY				1
#define	SLEEP_EASY_THERAPY			2
#define	DELTA_SLEEP					3	
#define	DELTA_SLEEP_2				4	
#define	TED_1HZ_THERAPY				5
#define	MANUAL_THERAPY			6
#define	ENTRAIN_UP_THERAPY			7
#define	ENTRAIN_DOWN_THERAPY 8
#define	MODE_ALERT_THERAPY			9

#define	NO_OF_PHASES_FOR_SLEEP_THERAPY			43  
#define	NO_OF_PHASES_FOR_RECOVER_THERAPY		11
#define	NO_OF_PHASES_FOR_TED_1HZ_THERAPY		21 
#define	NO_OF_PHASES_FOR_DELTA_SLEEP_THERAPY	43  
#define	NO_OF_PHASES_FOR_DELTA_SLEEP_2_THERAPY	43  
#define	NO_OF_PHASES_FOR_SLEEP_EASY_THERAPY		46 
#define	NO_OF_PHASES_FOR_ENTRAIN_UP_THERAPY		11
#define	NO_OF_PHASES_FOR_ENTRAIN_DOWN_THERAPY	7
#define	NO_OF_PHASES_FOR_MANUAL_THERAPY			11 
#define	NO_OF_PHASES_FOR_MODE_ALERT_THERAPY		11

#define	MAX_WAIT_FOR_ANY_KEY_0	4 // 8 
#define	MAX_WAIT_FOR_ANY_KEY_1	0x7fff

#define	MAX_WAIT_FOR_REPEAT_KEY			8 
#define	MAX_REPEAT_COUNT				0x1500 // 0x8000
#define	REPEAT_WAIT_START_VALUE			0x100//0x7800

#define INCR (int)1
#define HOLD (int)0
#define DECR (int)-1
	
//////for frequency changing part//////	
//#define INITIALFREQDESIRED 96
//#define FREQLOWERLIMIT 5
//#define FREQUPPERLIMIT 144

	
#endif
